/*
 * 如果启用了上下文隔离，渲染进程无法使用electron的api，
 * 可通过contextBridge 导出api给渲染进程使用
 */

const { contextBridge, ipcRenderer } = require("electron");
const os = require("os");

contextBridge.exposeInMainWorld("electronApi", {
  getComputerName: () => {
    return os.hostname();
  },
  changeWinSize: (type: "big" | "small") => {
    ipcRenderer.send("change-win-size", type);
  },
  windowMin: () => {
    ipcRenderer.send("window-min");
  },
});
