import { ref } from "vue";
import { defineStore } from "pinia";
import { clearStorage } from "@/utils/tool";
import router from "@/router";

export const useUserStore = defineStore<"user", any, any, any>("user", {
  persist: [
    {
      storage: sessionStorage,
      paths: ["userInfo"],
    },
    {
      storage: localStorage,
      paths: ["curExam"],
    },
  ],
  state: () => ({
    userInfo: null,
    curExam: null,
  }),
  actions: {
    setCurExam(exam: Exam) {
      this.curExam = exam;
    },
    setState(data: any) {
      this.$patch(data);
    },
    resetUserInfo() {
      this.$reset();
    },
    async logout() {
      //todo 退出登录接口
      // await logout();
      clearStorage();
      this.resetUserInfo();
      router.push({ name: "Login" });
      window.electronApi?.changeWinSize("small");
    },
  },
});
